POST
/snapshots/completion/{snapshotId}#x-amz-ChangedBlocksCount
http://ebs.{region}.amazonaws.com/snapshots/completion/{snapshotId}#x-amz-ChangedBlocksCountSeals and completes the snapshot after all of the required blocks of data have been written to it. Completing the snapshot changes the status to <code>completed</code>. You cannot write new blocks to a snapshot after it has been completed.
Access Token Required: API Key
Path Parameters
snapshotIdstringrequired
The ID of the snapshot.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://ebs.{region}.amazonaws.com/snapshots/completion/{snapshotId}#x-amz-ChangedBlocksCount' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}